## com.sun.jersey.server.spi.component
Interface ResourceComponentProvider

All Superinterfaces:
  ComponentProvider

    public interface ResourceComponentProvider

extends ComponentProvider

A resource class component provider.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`void` | `destroy()` Destroy the resource component provider.
`java.lang.Object` | `getInstance(HttpContext hc)` Get the instance.
`ComponentScope` | `getScope()` Get the scope.
`void` | `init(AbstractResource abstractResource)` Initiate the component provider with the resource model.

Methods inherited from interface com.sun.jersey.core.spi.component.ComponentProvider
`getInstance`

Method Detail

### init

    void init(AbstractResource abstractResource)

  Initiate the component provider with the resource model.

  Parameters:
    `abstractResource` -

### getScope

    ComponentScope getScope()

  Get the scope.

  Returns:
    the scope.

### getInstance

    java.lang.Object getInstance(HttpContext hc)

  Get the instance.

  Parameters:
    `hc` - the HTTP context.
  Returns:
    the instance.

### destroy

    void destroy()

  Destroy the resource component provider.

Copyright © 2017 Oracle Corporation. All Rights Reserved.